
ISTI Open Access - Bug #12670

Memory problem

Oct 12, 2018 11:35 AM - Michele Artini

Status: Closed Start date: Oct 12, 2018

Priority: Normal Due date:  

Assignee: _InfraScience Site Reliability Engineer

(SRE)

% Done: 100%

Category:    

Target version: ISTI Open Portal Issues   

Description

Today I noticed that solr was died and I could not restart it.

Tommi has noticed that php-fpm was consuming a lot of memory, so we have increased the RAM to 10 GB.

Can you schedule a daily restart of php-fpm?

Related issues:

Related to ISTI Open Access - Feature #11601: Migrate the OpenPortal services... Closed Oct 12, 2018

History

#1 - Oct 12, 2018 11:38 AM - Andrea Dell'Amico

- Assignee changed from Andrea Dell'Amico to _InfraScience Site Reliability Engineer (SRE)

#2 - Oct 12, 2018 11:40 AM - Andrea Dell'Amico

- Related to Feature #11601: Migrate the OpenPortal services to production machines added

#3 - Oct 12, 2018 11:43 AM - Andrea Dell'Amico

It would be better to do the math for the maximum php memory consumption: there are limits to the max memory for each process and to the max

number of processes, so the available RAM should be more that that total.

When we'll have a VM for each service this kind of measures will be easier, FYI.

#4 - Dec 20, 2018 07:48 PM - Andrea Dell'Amico

- Status changed from New to Closed

- % Done changed from 0 to 100

Let's see what happens on the new service, where the PHP frontend runs into its own VM.
